<!-- 安全管理 ==> 风险分级管控 => 区域巡检-->
<template>
    <div class="main">
        <div class="main_tabs">
            <el-tabs v-model="activeName">
                <el-tab-pane label="巡检任务" name="first"></el-tab-pane>
                <el-tab-pane label="任务打卡" name="second"></el-tab-pane>
            </el-tabs>
        </div>
        <div class="content">
            <component :is="cpns[activeName]"></component>
        </div>
    </div>
</template>
<script>
import PollingTask from './components/PollingTask' // 巡检任务
import TaskPunchcard from './components/TaskPunchcard' // 任务打卡
export default {
    data() {
        return {
            activeName: 'first',
            cpns: {
                first: 'PollingTask',
                second: 'TaskPunchcard',
            }
        }
    },
    components: {
        PollingTask,
        TaskPunchcard,
    },
}
</script>

<style lang="scss" scoped>
@import '@/style/layout-main.scss';

.main {
    display: flex;

    .content {
        overflow: hidden;
        flex: 1;
    }
}
</style>